---
layout: post
title: "Shared on February 19, 2017 19:51...\n"
date: February 19, 2017 19:51
category: "General discussion"
author: "Arthur Wolf"
---






**"Arthur Wolf"**

---
---
**Marc Miller** *February 20, 2017 00:15*

Fur real.  Looks like good purr-gress.


---
*Imported from [Google+](https://plus.google.com/+ArthurWolf/posts/Qquy1zNYNJn) &mdash; content and formatting may not be reliable*
